/**
 * Copyright (c) 2005-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.extension.autoloader;

/**
 * This AutoLoaderService is used for automatically loading components which are placed in the "autoLoad" directory. 
 * <p>
 * It periodically scan the directory and
 * check if new components are presents. The InstallationServiceMBean is called
 * for each of those components. The whole process of installation is done
 * (install + start) After being threat, the archives of the components are
 * removed. A file "fileName.success" will be created if success A file
 * "fileName.failed" will be created otherwise, containing the related exception.
 * </p>
 * 
 * @author Adrien Louis - EBM WebSourcing
 */
public interface AutoLoaderService {

    public static final String FRACTAL_COMPONENT_LOGGER_NAME = "Petals.Extensions.AutoLoaderService";

}
